Mailinglist Archive: opensuse-factory (520 mails)

< Previous Next >
[opensuse-factory] Leap 42.3 Build 0257 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=42.3&build=0257&groupid=28
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2042.3

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=298435253
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
amavisd-new
drbd (9.0.7rc2+git.0677d8b1 -> 9.0.7rc2+git.36abd387)
e2fsprogs
ffmpeg (3.3 -> 3.3.1)
installation-images-openSUSE
ntp
python-kde4
yast2 (3.2.31 -> 3.2.32)
yast2-installation (3.2.40 -> 3.2.41)
yast2-network (3.2.26 -> 3.2.27)
yast2-nis-client (3.2.0 -> 3.2.1)
yast2-ruby-bindings (3.2.11 -> 3.2.13)
yast2-storage (3.2.12 -> 3.2.13)

=== Details ===

==== amavisd-new ====
Subpackages: amavisd-new-docs

- bnc#1014205 L3: /etc/sysconfig/amavis missing
- bnc#1014157 L3: amavisd-new needs sa-update

==== drbd ====
Version update (9.0.7rc2+git.0677d8b1 -> 9.0.7rc2+git.36abd387)
Subpackages: drbd-kmp-default

- bsc#1038852, fix initial sync not triggered
add patch fix-initial-sync-stop.patch

==== e2fsprogs ====
Subpackages: e2fsprogs-devel libcom_err-devel libcom_err2 libcom_err2-32bit
libext2fs-devel libext2fs2

- resize2fs-Fix-32-64-bit-overflow-when-multiplying-by-blocks-cl.patch: Fix
32/64-bit overflow when multiplying by blocks/clusters per group
(bsc#1009532)
- Update spec file to regenerate initrd when e2fsprogs is updated or
uninstalled (bsc#960273)

==== ffmpeg ====
Version update (3.3 -> 3.3.1)
Subpackages: libavcodec57 libavdevice57 libavfilter6 libavformat57
libavresample3 libavutil55 libpostproc54 libswresample2 libswscale4

- Update to new upstream release 3.3.1
* Fix uninitialized variables, signed integer overflow,
excess shift operations. Add boundary checks.

==== installation-images-openSUSE ====

- rewrite spec file to simplify building different flavors (bsc#1039285)

==== ntp ====
Subpackages: ntp-doc

- Fix systemd migration in %pre (bsc#1034892).

==== python-kde4 ====
Subpackages: python-kde4-doc python-kde4-khtml python-kde4-knewstuff
python-kde4-phonon python-kde4-plasma

- Remove pykdeconfig.py from the file list in Tumbleweed to fix
build after the latest changes to python-qt4
- Add Annotate-KAutoMount-as-Abstract.patch to fix build with
python-sip 4.19.1 (boo#1026767)
- Remove unused okular-devel build requirement
- Add fix-build-with-sip-4.19.patch to fix build with python-sip
4.19
- Add fix-build.diff to fix the build in Factory (boo#975915)
- Drop BuildRequires on kdepimlibs4 due to the change to the
Frameworks version of akonadi.

==== yast2 ====
Version update (3.2.31 -> 3.2.32)

- Added CWM::Pager, CWM::Tree + CWM::TreeItem,
CWM::TreePager + CWM::PagerTreeItem (boo#1039901)
- 3.2.32

==== yast2-installation ====
Version update (3.2.40 -> 3.2.41)

- Added requirement of 'cwm/widget' in hiding_place as consequence
of changes made in CWM. (boo#1039901).
- 3.2.41

==== yast2-network ====
Version update (3.2.26 -> 3.2.27)

- bsc#1036440 and bsc#994471
- Command "yast remote list" should not alter the system.
- 3.2.27

==== yast2-nis-client ====
Version update (3.2.0 -> 3.2.1)

- Added yp-tools to the requirements in order to call ypdomainname
(Additional fix for bnc#916031 and bsc#994530)
- 3.2.1

==== yast2-ruby-bindings ====
Version update (3.2.11 -> 3.2.13)

- Set proper title for YaST2 installation (bsc#1037891)
- 3.2.13
- fix calling YaST CLI (bsc#1033993)
- 3.2.12

==== yast2-storage ====
Version update (3.2.12 -> 3.2.13)

- Read default subvolume name for Btrfs filesystems when using
the expert partitioner (bsc#1040154)
- 3.2.13


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages